# class ListJob |
Full name | `KIO::ListJob`
Definition | `#include <jobclasses.h>`
Inherits | KIO::SimpleJob [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ListJob (const KURL& url, bool showProgressInfo, bool recursive = false, QString prefix = QString::null)
- virtual void start ( Slave *slave )

#### Signals

- void entries ( KIO::Job *, const KIO::UDSEntryList& )
- void redirection ( KIO::Job *, const KURL &url )

#### Protected Slots

- virtual void slotFinished ( )
- virtual void slotResult ( KIO::Job *job )
- void slotListEntries ( const KIO::UDSEntryList& list )
- void slotRedirection ( const KURL &url )
- void gotEntries ( KIO::Job * subjob, const KIO::UDSEntryList& list )

## Detailed Description

ListJob (const KURL& url, bool showProgressInfo, bool recursive = false, QString prefix = QString::null) | ### ListJob

void start ( Slave *slave ) | ### start

[virtual]

Reimplemented from SimpleJob.

void entries ( KIO::Job *, const KIO::UDSEntryList& ) | ### entries

[signal]

This signal emits the entry found by the job while listing. The progress signals aren't specific to ListJob. It simply uses SimpleJob's processedSize (number of entries listed) and totalSize (total number of entries, if known), as well as percent.

void redirection ( KIO::Job *, const KURL &url ) | ### redirection

[signal]

Signals a redirection Use to update the URL shown to the user The redirection itself is handled internally

void slotFinished ( ) | ### slotFinished

[protected slots virtual slot]

Reimplemented from SimpleJob.

void slotResult ( KIO::Job *job ) | ### slotResult

[protected slots virtual slot]

Reimplemented from Job.

void slotListEntries ( const KIO::UDSEntryList& list ) | ### slotListEntries

[protected slots slot]

void slotRedirection ( const KURL &url ) | ### slotRedirection

[protected slots slot]

void gotEntries ( KIO::Job * subjob, const KIO::UDSEntryList& list ) | ### gotEntries

[protected slots slot]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.